package com.foreverwin.mesnac.dispatch.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.foreverwin.mesnac.dispatch.model.SfcDispatch;
import com.baomidou.mybatisplus.extension.service.IService;
import com.foreverwin.modular.core.util.FrontPage;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author Leon.L
 * @since 2021-06-02
 */
public interface SfcDispatchService extends IService<SfcDispatch> {

    /**
     *  分页查询
     * @param frontPage
     * @return
     */
    IPage<SfcDispatch> selectPage(FrontPage<SfcDispatch> frontPage, SfcDispatch sfcDispatch);

    List<SfcDispatch> selectList(SfcDispatch sfcDispatch);

    /**
     * 查询派工数据
     *
     * @param site
     * @param sfc
     * @param operation  非必须
     * @param stepId  非必须
     * @return
     */
    List<SfcDispatch> findSfcDispatch(String site, String sfc, String operation, String stepId);
}