package com.foreverwin.mesnac.dispatch.controller;

import com.foreverwin.mesnac.common.util.SendMail;
import com.foreverwin.modular.core.util.R;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/test")
public class TestController {


    @Autowired
    private SendMail sendMail;

    @GetMapping()
    public R test(String to, String subject, String content) {
        sendMail.sendText(to, subject, content);
        return R.ok(content);
    }
}
